Bug 13432 - Changing owner wipes security descriptor flags
Changing owner wipes security descriptor flags
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-11 06:31 UTC by Ralph Böhme
Modified: 2018-06-04 06:56 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.8.next, 4.7.next (12.82 KB, patch)
2018-05-11 22:45 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-05-11 06:31:22 UTC
Changing ownership of a file or directory wipes any previous ACL flags like "protected".

Have patch, need bugnumber.
Comment 1 Jeremy Allison 2018-05-11 22:45:10 UTC
Created attachment 14197 [details]
git-am fix for 4.8.next, 4.7.next

Cherry-picked from master (applies cleanly to 4.8.x, 4.7.x).
Comment 2 Ralph Böhme 2018-05-14 08:33:47 UTC
Comment on attachment 14197 [details]
git-am fix for 4.8.next, 4.7.next

And thanks for doing the backport! :)
Comment 3 Jeremy Allison 2018-05-14 15:39:57 UTC
Re-assigning to Karolin for inclusion in 4.8.next, 4.7.next.
Comment 4 Karolin Seeger 2018-05-24 08:38:21 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{8,7}-test.
Comment 5 Karolin Seeger 2018-06-04 06:56:20 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!